<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'} ">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="assets/js/vendor/viewer/viewer.min.css">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-row">
        <div class="layui-col-md12">
            <div class="layui-card" id="viewer">
                <div class="layui-card-body">
                    <div class="test-table-reload-btn" style="margin-bottom: 10px;">
                        <div class="layui-inline">
                            <input type="text" id="keywords" class="layui-input search-item" placeholder="输入关键字">
                        </div>
                        <div class="layui-inline">
                            <input type="text" id="startTime" class="layui-input search-item" placeholder="开始时间" readonly>
                        </div>
                        <div class="layui-inline">
                            <input type="text" id="endTime" class="layui-input search-item" placeholder="结束时间" readonly>
                        </div>
                        <button type="button" id="search" class="layui-btn layui-btn-sm">
                            <i class="fa fa-lg fa-search"></i> 搜索
                        </button>
                    </div>
                    <table class="layui-hide" id="dataTable" lay-filter="dataTable"></table>
                    <!-- 表头按钮组 -->
                    <script type="text/html" id="headerToolBar">
                        <div class="layui-btn-group">
                            <button type="button" class="layui-btn layui-btn-sm" lay-event="saveEvent">
                                <i class="fa fa-lg fa-plus"></i> 新增
                            </button>
                            <button type="button" class="layui-btn layui-btn-normal layui-btn-sm" lay-event="updateEvent">
                                <i class="fa fa-lg fa-edit"></i> 编辑
                            </button>
                            <button type="button" class="layui-btn layui-btn-danger layui-btn-sm" lay-event="removeEvent">
                                <i class="fa fa-lg fa-trash"></i> 删除
                            </button>
                            <button type="button" class="layui-btn layui-btn-normal layui-btn-sm" lay-event="copyEvent">
                                <i class="fa fa-lg fa-copy"></i> 复制
                            </button>
                        </div>
                    </script>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script src="assets/js/vendor/viewer/viewer.min.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/'
    }).extend({
        index: 'lib/index'
    }).use(['index', 'table', 'laydate', 'common', 'form'], function() {
        var $ = layui.$;
        var $win = $(window);
        var table = layui.table;
        var admin = layui.admin;
        var laydate = layui.laydate;
        var form = layui.form;
        var common = layui.common;
        var resizeTimeout = null;
        var tableUrl = 'api/picturestemplate/listpagepicturestemplate';

        // 初始化表格
        function initTable() {
            table.render({
                elem: '#dataTable',
                id: 'dataTable',
                url: top.restAjax.path(tableUrl, []),
                width: admin.screen() > 1 ? '100%' : '',
                height: $win.height() - 90,
                limit: 20,
                limits: [20, 40, 60, 80, 100, 200],
                toolbar: '#headerToolBar',
                request: {
                    pageName: 'page',
                    limitName: 'rows'
                },
                cols: [
                    [
                        {type:'checkbox', fixed: 'left'},
                        {field:'rowNum', width:80, title: '序号', fixed: 'left', align:'center', templet: '<span>{{d.LAY_INDEX}}</span>'},
                        {field: 'picturesTemplateBackgroundImage', width: 100, title: '预览图', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                var picturesTemplatePictureUrl = row['picturesTemplatePictureUrl'];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                var value = '<img style="height: 50px;width: 50px;" src="route/file/download/false/'+ rowData +'" >';
                                if(picturesTemplatePictureUrl) {
                                    value = '<img style="height: 50px;width: 50px;" src="route/file/download/false/' + picturesTemplatePictureUrl + '">';
                                }
                                setTimeout(function() {
                                    new Viewer(document.getElementById("viewer"),{
                                        loop:true
                                    });
                                }, 150);
                                return value;
                            }
                        },
                        {field: 'picturesTemplateCode', width: 100, title: '套版编码', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                return rowData;
                            }
                        },
                        {field: 'picturesTemplateTitle', width: 200, title: '套版标题', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                return rowData;
                            }
                        },
                        /* {field: 'picturesTemplateWidth', width: 80, title: '画板宽度', align:'center',
                             templet: function(row) {
                                 var rowData = row[this.field];
                                 if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                     return '-';
                                 }
                                 return rowData + 'px';
                             }
                         },
                         {field: 'picturesTemplateHeight', width: 80, title: '画板高度', align:'center',
                             templet: function(row) {
                                 var rowData = row[this.field];
                                 if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                     return '-';
                                 }
                                 return rowData + 'px';
                             }
                         },*/
                        {field: 'picturesTemplateBack', width: 200, title: '生成尺寸', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                var picturesTemplateHeight = row["picturesTemplateHeight"];
                                var picturesTemplateWidth = row["picturesTemplateWidth"];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                var rowStr = "";
                                if(rowData == "-1") {
                                    rowStr = "自定义尺寸";
                                }else  if(rowData == "0") {
                                    rowStr = "底图尺寸";
                                }else  if(rowData == "4") {
                                    rowStr = "A4(竖向)";
                                }else  if(rowData == "5") {
                                    rowStr = "A5(竖向)";
                                }else  if(rowData == "6") {
                                    rowStr = "A6(竖向)";
                                }else  if(rowData == "-4") {
                                    rowStr = "A4(横向)";
                                }else  if(rowData == "-5") {
                                    rowStr = "A5(横向)";
                                }else  if(rowData == "-6") {
                                    rowStr = "A6(横向)";
                                }
                                rowStr = rowStr + "【"  + picturesTemplateWidth + "*" + picturesTemplateHeight + "】";
                                return rowStr;
                            }
                        },

                        // {field: 'picturesTemplatePublishStatus', width: 150, fixed: 'right', title: '套版发布', align:'center',
                        //     templet: function(row) {
                        //         var rowData = row[this.field];
                        //         return '<input  type="checkbox" value="' + rowData + '"  '+ ( rowData == 1 ? "checked" : "") + '  picturesTemplateId="'+ row.picturesTemplateId +'" lay-filter="picturesTemplatePublishStatusEvent"  name="picturesTemplatePublishStatus" lay-skin="switch" lay-text="开启|关闭">';
                        //     }
                        // },
                        {field:'picturesTemplatePublishTime', width:180, title: '发布时间', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                return rowData;
                            }
                        },
                        {field:'picturesTemplatePublishStatus', width:120, title: '发布状态', fixed: 'right', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                return '<input  type="checkbox" value="' + rowData + '"  '+ ( rowData == 1 ? "checked" : "") + '  picturesTemplateId="'+ row.picturesTemplateId +'" lay-filter="picturesTemplateCheckEvent"  name="picturesTemplateCheck" lay-skin="switch" lay-text="已发布|未发布">';
                            }
                        },
                        {field:'picturesTemplateAreaEvent', width:120, title: '套版配置', fixed: 'right', align:'center',
                            templet: function(row) {
                                return '<button  lay-event="picturesTemplateAreaEvent" type="button" class="layui-btn layui-btn-xs layui-btn-radius">编辑套版配置</button>';
                            }
                        }
                    ]
                ],
                page: true,
                parseData: function(data) {
                    return {
                        'code': 0,
                        'msg': '',
                        'count': data.total,
                        'data': data.rows
                    };
                }
            });
        }
        // 重载表格
        function reloadTable(currentPage) {
            table.reload('dataTable', {
                url: top.restAjax.path(tableUrl, []),
                where: {
                    keywords: $('#keywords').val(),
                    startTime: $('#startTime').val(),
                    endTime: $('#endTime').val()
                },
                page: {
                    curr: currentPage
                },
                height: $win.height() - 90,
            });
        }

        // 发布开关
        form.on('switch(picturesTemplateCheckEvent)', function () {
            var loadLayerIndex;
            var obj = {};
            top.restAjax.put(top.restAjax.path('api/picturestemplate/updatepicturestemplatepublishstatus/{picturesTemplateId}/{picturesTemplatePublishStatus}', [$(this).attr("picturesTemplateId"), this.checked]), obj, null, function(code, data) {
            }, function(code, data) {
                top.dialog.msg(data.msg);
            }, function() {
                loadLayerIndex = top.dialog.msg(top.dataMessage.committing, {icon: 16, time: 0, shade: 0.3});
            }, function() {
                top.dialog.close(loadLayerIndex);
            });
        });

        // 初始化日期
        function initDate() {
            // 日期选择
            laydate.render({
                elem: '#startTime',
                format: 'yyyy-MM-dd'
            });
            laydate.render({
                elem: '#endTime',
                format: 'yyyy-MM-dd'
            });
        }

        // 表格行中按钮事件
        table.on('tool(dataTable)', function(obj) {
            var layEvent = obj.event;
            var data = obj.data;
            if(layEvent === 'picturesTemplateAreaEvent') {
                top.dialog.open({
                    url: top.restAjax.path('route/picturestemplate/savepicturestemplatearea?picturesTemplateId={picturesTemplateId}&picturesTemplateCode={picturesTemplateCode}', [data.picturesTemplateId, data.picturesTemplateCode]),
                    title: "套版配置(" +  data.picturesTemplateTitle + ")",
                    width: '100%' ,
                    height:'100%',
                    onClose: function() {
                        reloadTable();
                    }
                });
            }else if(layEvent === 'picturesTemplateContentEvent') {
                top.dialog.open({
                    url: top.restAjax.path('route/picturestemplate/updatepicturestemplatecontent?picturesTemplateId={picturesTemplateId}', [data.picturesTemplateId]),
                    title: data.picturesTemplateTitle,
                    width: '100%',
                    height: '100%',
                    onClose: function() {
                        reloadTable();
                    }
                });
            }
        });

        // 显示开关
        form.on('switch(picturesTemplatePublishStatusEvent)', function () {
            var loadLayerIndex;
            var obj = {};
            top.restAjax.put(top.restAjax.path('api/picturestemplate/updatepicturestemplatepublishstatus/{picturesTemplateId}/{picturesTemplatePublishStatus}', [$(this).attr("picturesTemplateId"), this.checked]), obj, null, function(code, data) {
            }, function(code, data) {
                top.dialog.msg(data.msg);
            }, function() {
                loadLayerIndex = top.dialog.msg(top.dataMessage.committing, {icon: 16, time: 0, shade: 0.3});
            }, function() {
                top.dialog.close(loadLayerIndex);
            });
        });

        // 删除
        function removeData(ids) {
            top.dialog.msg(top.dataMessage.delete, {
                time: 0,
                btn: [top.dataMessage.button.yes, top.dataMessage.button.no],
                shade: 0.3,
                yes: function (index) {
                    top.dialog.close(index);
                    var layIndex;
                    top.restAjax.delete(top.restAjax.path('api/picturestemplate/removepicturestemplate/{ids}', [ids]), {}, null, function (code, data) {
                        top.dialog.msg(top.dataMessage.deleteSuccess, {time: 1000});
                        reloadTable();
                    }, function (code, data) {
                        top.dialog.msg(data.msg);
                    }, function () {
                        layIndex = top.dialog.msg(top.dataMessage.deleting, {icon: 16, time: 0, shade: 0.3});
                    }, function () {
                        top.dialog.close(layIndex);
                    });
                }
            });
        }
        initTable();
        initDate();
        // 事件 - 套版变化
        $win.on('resize', function() {
            clearTimeout(resizeTimeout);
            resizeTimeout = setTimeout(function() {
                reloadTable();
            }, 500);
        });
        // 事件 - 搜索
        $(document).on('click', '#search', function() {
            reloadTable(1);
        });
        // 事件 - 增删改
        table.on('toolbar(dataTable)', function(obj) {
            var layEvent = obj.event;
            var checkStatus = table.checkStatus('dataTable');
            var checkDatas = checkStatus.data;
            if(layEvent === 'saveEvent') {
                layer.open({
                    type: 2,
                    title: false,
                    closeBtn: 0,
                    area: ['100%', '100%'],
                    shadeClose: true,
                    anim: 2,
                    content: top.restAjax.path('route/picturestemplate/savepicturestemplate', []),
                    end: function() {
                        reloadTable();
                    }
                });
            } else if(layEvent === 'updateEvent') {
                if(checkDatas.length === 0) {
                    top.dialog.msg(top.dataMessage.table.selectEdit);
                } else if(checkDatas.length > 1) {
                    top.dialog.msg(top.dataMessage.table.selectOneEdit);
                } else {
                    layer.open({
                        type: 2,
                        title: false,
                        closeBtn: 0,
                        area: ['100%', '100%'],
                        shadeClose: true,
                        anim: 2,
                        content: top.restAjax.path('route/picturestemplate/updatepicturestemplate?picturesTemplateId={picturesTemplateId}', [checkDatas[0].picturesTemplateId]),
                        end: function() {
                            reloadTable();
                        }
                    });
                }
            } else if(layEvent === 'copyEvent') {
                if(checkDatas.length === 0) {
                    top.dialog.msg(top.dataMessage.table.selectEdit);
                } else if(checkDatas.length > 1) {
                    top.dialog.msg(top.dataMessage.table.selectOneEdit);
                } else {
                    layer.prompt({title: '输入新套版的编码', formType: 3}, function(code, index){
                        if(code) {
                            layer.close(index);
                            layer.prompt({title: '输入新套版的名称', formType: 3}, function(title, index1){
                                if(title) {
                                    layer.close(index1);
                                    // var loadLayerIndex = top.dialog.msg(top.dataMessage.loading, {icon: 16, time: 0, shade: 0.3});
                                    top.restAjax.put(top.restAjax.path('api/picturestemplate/copypicturestemplate/{id}/{code}/{title}', [checkDatas[0].picturesTemplateId, code, title]), {}, null, function (code, data) {
                                        top.dialog.msg('复制成功', {time: 1000});
                                        reloadTable();
                                    }, function (code, data) {
                                        top.dialog.msg(data.msg);
                                    }, function () {
                                        layIndex = top.dialog.msg('复制中', {icon: 16, time: 0, shade: 0.3});
                                    }, function () {
                                        top.dialog.close(layIndex);
                                    });
                                }
                            });
                        }
                    });
                }
            } else if(layEvent === 'removeEvent') {
                if(checkDatas.length === 0) {
                    top.dialog.msg(top.dataMessage.table.selectDelete);
                } else {
                    var ids = '';
                    for(var i = 0, item; item = checkDatas[i++];) {
                        if(i > 1) {
                            ids += '_';
                        }
                        ids += item['picturesTemplateId'];
                    }
                    removeData(ids);
                }
            }
        });
    });
</script>
</body>
</html>